echo "Welcome to DarkOnion Root Part 1"
pause

echo "Checking for devices"
adb devices

pause

echo "Transfering Superuser.apk"
adb push Superuser.apk /sdcard/Superuser.apk

echo "Transfering su"
adb push su /sdcard/su

echo "Transfering busybox"
adb push busybox /sdcard/busybox

echo "Transfering rageagainstthecage-arm5.bin"
adb push rageagainstthecage-arm5.bin /data/local/tmp/rageagainstthecage-arm5.bin

echo "Transfering doroot3"
adb push doroot3.sh /data/local/tmp/doroot3.sh

echo "You will be entering ADB Shell shortly." 

pause

echo "Now entering ADB Shell"
adb shell "chmod 0755 /data/local/tmp/rageagainstthecage-arm5.bin"
adb shell "./data/local/tmp/rageagainstthecage-arm5.bin"
